# Uses of Class
org.eclipse.birt.report.model.api.CachedMetaDataHandle

Packages that use CachedMetaDataHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of CachedMetaDataHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return CachedMetaDataHandle
Modifier and Type
Method
Description
`CachedMetaDataHandle`
DataSetHandle.`getCachedMetaDataHandle()`
Return a handle to deal with the cached data set information that include output column information when it gets from databases, input/output parameter definitions.
`CachedMetaDataHandle`
DataSetHandle.`setCachedMetaData(CachedMetaData metadata)`
Set the value for the cached data set information.